require 'redmine'
require 'dispatcher'

Dispatcher.to_prepare :redmine_custom_recipients do
  require_dependency 'issue'
  unless Issue.included_modules.include? RedmineCustomRecipients::IssuePatch
    Issue.send(:include, RedmineCustomRecipients::IssuePatch)
  end
end

Redmine::Plugin.register :redmine_custom_recipients do
  name 'Redmine Custom Recipients'
  author 'Raz Baluchi'
  description 'Adds users selected in Issue custom fields of type "User" to mail notifications'
  version '0.0.1'

  project_module :custom_recipients do
    permission :custom_recipients, {}, :public => true
  end

end
